# Put TaxRates

Put all the Tax Rates available

Endpoint: PUT /taxRates
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `totalResults` (integer)

  - `taxRates` (array)

  - `taxRates.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `taxRates.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `taxRates.uuid` (string, required)

  - `taxRates.primaryPlatformId` (string, required)

  - `taxRates.createdAt` (string)
    The date and time this Entity has been created

  - `taxRates.updatedAt` (string)
    The date and time this Entity has been updated

  - `taxRates.language` (object)
    circular reference

  - `taxRates.name` (string)

  - `taxRates.creditCode` (string)

  - `taxRates.debitCode` (string)

  - `taxRates.description` (string)

  - `taxRates.jurisdiction` (string)

  - `taxRates.percentage` (number)

  - `taxRates.inclusive` (boolean)

  - `taxRates.active` (boolean)

  - `taxRates.identifiers` (array)

  - `taxRates.identifiers.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `taxRates.identifiers.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `taxRates.identifiers.uuid` (string, required)

  - `taxRates.identifiers.primaryPlatformId` (string, required)

  - `taxRates.identifiers.createdAt` (string)
    The date and time this Entity has been created

  - `taxRates.identifiers.updatedAt` (string)
    The date and time this Entity has been updated

  - `taxRates.identifiers.language` (object)
    circular reference

  - `taxRates.identifiers.name` (string)

  - `taxRates.identifiers.system` (string)

  - `taxRates.identifiers.value` (string)

  - `taxRates.identifiers.expiredAt` (string)

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


